Package com.avaya.clientservices.settingsfile

## Class SettingsFileParser

- java.lang.Object
- - com.avaya.clientservices.settingsfile.SettingsFileParser

-     public abstract class SettingsFileParser
      extends java.lang.Object

  Abstract parser for the Avaya endpoint settings file format.

  The settings file format and requirements are defined in 96xxIPI.2.2.400 of the 96xx Telephones IP Interface R/FS (COMPAS ID 110716).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SettingsFileParser()` | Constructs a new instance of the SettingsFileParser class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `continueParse()` | Continues parsing of a previous call to `parseStream(InputStream)` that was interrupted.
    `void` | `parseStream​(java.io.InputStream stream)` | Parses a settings file from the given stream.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingsFileParser

          public SettingsFileParser()

      Constructs a new instance of the SettingsFileParser class.

  - ### Method Detail

    - #### parseStream

          public void parseStream​(java.io.InputStream stream)
                           throws java.io.IOException

      Parses a settings file from the given stream.

      The settings file is read from the stream and as it is parsed the `getVariable(String)`, `setVariable(String, String)`, and `onAdditionalFileRequested(String)` methods are called to handle the contents.

      Parameters:
        `stream` - Stream containing the settings file to parse.
      Throws:
        `java.io.IOException` - in case of stream reading error.

    - #### continueParse

          public void continueParse()

      Continues parsing of a previous call to `parseStream(InputStream)` that was interrupted.

      A parse may be interrupted if a call is made to `onAdditionalFileRequested(String)`. If the requested file cannot be obtained the application should call `continueParse()` to continue parsing the current stream.